CVE-2004-1561

high
New! CVE Severity Now Using CVSS v3

The calculated severity for CVEs has been updated to use CVSS v3 by default. CVEs that do not have a CVSS v3 score will fall back CVSS v2 for calculating severity. Severity display preferences can be toggled in the settings dropdown.

Description

Buffer overflow in Icecast 2.0.1 and earlier allows remote attackers to execute arbitrary code via an HTTP request with a large number of headers.

References

http://aluigi.altervista.org/adv/iceexec-adv.txt

http://marc.info/?l=bugtraq&m=109640005127644&w=2

http://marc.info/?l=bugtraq&m=109674593230539&w=2

http://secunia.com/advisories/12666/

http://securitytracker.com/id?1011439

http://www.osvdb.org/10446

http://www.securiteam.com/exploits/6X00315BFM.html

http://www.securityfocus.com/bid/11271

https://exchange.xforce.ibmcloud.com/vulnerabilities/17538

Details

Source: MITRE

Published: 2004-12-31

Updated: 2017-07-11

Risk Information

CVSS v2

Base Score: 7.5

Vector: AV:N/AC:L/Au:N/C:P/I:P/A:P

Impact Score: 6.4

Exploitability Score: 10

Severity: HIGH

Tenable Plugins

View all (2 total)

IDNameProductFamilySeverity
2335Icecast < 2.0.2 Multiple HTTP Headers Remote OverflowNessus Network MonitorWeb Servers
critical
14843Icecast HTTP Header Processing Remote OverflowNessusWeb Servers
high